// estilo para codificar classes
// ao renderizar regras:
// para seletores aninhados, usa-se __ entre seus seletores, ao invés de espaço entre eles
// para estados (pseudo-classes) de um elemento, usa-se -- entre o seletor do elemento e o estado, ao invés de elemento:estado

/* Demonstração sem usar estilo BEM: */
.box1 {
  border: 1px solid black;
  .btn {
    color: red;
  }
  &:error {
    background-color: red;
  }
}

/* Demonstração usando estilo BEM: */
.box2 {
  border: 1px solid black;
  &__btn {
    color: red;
  }
  &--error {
    background-color: red;
  }
}
